
#ifndef __tbitmapview_h__
#define __tbitmapview_h__


#ifndef PandaWave_XVIEW
#include <XView.h>
#endif

#ifndef PandaWave_XDRAW
#include <XDraw.h>
#endif


class TBitmapView: public XGView, public XGBitmap {
public:
	
	TBitmapView(XGView *parent, XGArgStream &init);
	//TBitmapView(XGView *parent, XGSViewInitRecord &init): XGView( parent, init );
	virtual ~TBitmapView();
	
	void DoDrawView( XRect r );
	
	enum {
		kClassID = 'bmap'
	};
	
private:
	bool	fStretchBitmap;
};


#endif

